package fr.cnam.projet;

import java.util.*;

import fr.cnam.util.*;
import fr.cnam.ihm.*;
import fr.cnam.projet.*;

// Classe de definition d'une plate-forme de jeu
//
public class PFJeu
{
  private Othello  othello;  // Le jeu d'othello
  private IHMPFJeu ihm;      // Ihm generale

  // Ici il faut dclarer les deux listes (joueurs et parties)

  // Constructeur
  //
  public PFJeu()
  {
    othello = new Othello();
    
    // Ici il faut creer les deuxs listes (joueurs et parties)
  }

  // initialisation de la plate-forme de jeu
  //
  public String initialiser(IHMPFJeu ihm)
  {
    this.ihm = ihm;

    String res="Initialisation de la plate-forme de jeu :\n";
      
    // Lecture du fichier des joueurs inscrits
    //
    res=res+"Lecture du fichier des joueurs inscrits\n";
    String[] lignes = Terminal.lireFichierTexte("data/Joueurs.txt");
    if (lignes == null) 
      {
        res=res+"Impossible de lire le fichier data/Joueurs.txt\n";
        return res;
      }
      
    for(String ligne:lignes)
      {
        String[] champs = ligne.split(";",2);
        String ident = champs[0];
        String mdp   = champs[1];
        Joueur joueur = new Joueur(ident,mdp);
        // Une trace pour verifier que le fichier est bien lu
        System.out.println(joueur.toString());

        // Ici il faut ajouter le joueur dans la liste de joueurs
      }

    // Lecture du fichier des parties jouees
    //
    // Ici il faut initialiser la liste des parties jouees


    // Initialisation du jeu d'othello
    //
    res = res+othello.initialiser(this);

    return res;
  }
    
  // Methode qui retourne sous la forme d'une chaine de caractere
  //  tous les joueurs
  //
  public String listerTousJoueurs()
  {
    String res="Cette methode n'est pas codee\n";
    res=res+"Elle doit retourner les joueurs\n";
    res=res+"Les joueurs sont concatenes dans une chaine";
    return res;
  }
  
  // Methode qui retourne sous la forme d'une chaine de caractere
  //  toutes les parties
  //
  public String listerToutesParties()
  {
    String res="Cette methode n'est pas codee\n";
    res=res+"Elle doit retourner les parties\n";
    res=res+"Les parties sont concatenes dans une chaine";

    return res;
  }

  // Getteurs
  public Othello getOthello(){return othello;}
  public IHMPFJeu getIhm(){return ihm;}

}